# Class: MoneroMessageSignatureResult

## MoneroMessageSignatureResult()

Message signature verification result.

## Constructor

#### new MoneroMessageSignatureResult()

Source:
  - src/main/js/wallet/model/MoneroMessageSignatureResult.js, line 6

### Methods

#### getSignatureType()

Source:
  - src/main/js/wallet/model/MoneroMessageSignatureResult.js, line 42

#### getVersion()

Source:
  - src/main/js/wallet/model/MoneroMessageSignatureResult.js, line 51

#### isGood()

Source:
  - src/main/js/wallet/model/MoneroMessageSignatureResult.js, line 24

#### isOld()

Source:
  - src/main/js/wallet/model/MoneroMessageSignatureResult.js, line 33

#### setIsGood()

Source:
  - src/main/js/wallet/model/MoneroMessageSignatureResult.js, line 28

#### setIsOld()

Source:
  - src/main/js/wallet/model/MoneroMessageSignatureResult.js, line 37

#### setSignatureType()

Source:
  - src/main/js/wallet/model/MoneroMessageSignatureResult.js, line 46

#### setVersion()

Source:
  - src/main/js/wallet/model/MoneroMessageSignatureResult.js, line 55

#### toJson()

Source:
  - src/main/js/wallet/model/MoneroMessageSignatureResult.js, line 20